import emoji

## A shortcut for emojize with use_aliases=True
def em(text):
    return emoji.emojize(text, use_aliases=True)

## A class that is used only to share common texts between different classes,
# that therefore will extend this one.
class SharedTexts:
    SUCCESS = [
            em('Agli ordini! :ok_hand:'),
            em('Come desideri! :thumbsup:'),
            em('Fatto! :sunglasses:')
    ]

    UNAUTHORIZED = [
            em('Non puoi! :no_good:'),
            em('Non sei il benvenuto! :no_entry:'),
            em('Non sei autorizzato! :cop:'),
            em('C\'è chi può e chi non può... :underage:'),
            em('Non vogliamo messaggi! :no_mobile_phones:'),
            em('Le tue richieste sono spazzatura! :do_not_litter:'),
            em('Hai offeso il gatto! :pouting_cat:')
    ]

    CHOOSE_ACTION = 'Ok, cos\'altro vuoi fare?'
